module Returnly
  module RefundsConfiguration
    def return_item_amount_calculator_class
      Returnly.return_item_amount_calculator || Returnly::Refund::AmountCalculator
    end

    def return_item_builder_class
      Returnly.return_item_builder || Returnly::Builders::ReturnItem
    end

    # return item qualifies to be restocked (after refund)
    def return_item_restock_policy_class
      Returnly.return_item_restock_policy || Returnly::Refund::ReturnItemRestockPolicy
    end

    def refunder_class
      Returnly.refunder || Returnly::Refunder
    end

    def refund_calculator_class
      Returnly.refund_calculator || Returnly::RefundCalculator
    end

    def refund_presenter_class
      Returnly.refund_presenter || Returnly::RefundPresenter
    end

    def gift_card_class
      Returnly.gift_card || Returnly::NilGiftCard
    end

    def gift_card_estimate_class
      Returnly.git_card_estimate || Returnly::NilGiftCardEstimate
    end
  end
end
