module Returnly
  module Services
    class MarkItemsAsReturned
      attr_accessor :order, :line_items

      def initialize(order, line_items)
        @order      = order
        @line_items = line_items
      end

      def perform!
        line_items.each do |line_item|
          quantity = line_item[:units].to_i
          inventory_units_by(line_item[:order_line_item_id]).take(quantity).each(&:return)
        end
      end

      private

      def inventory_units_by(line_item_id)
        order.inventory_units.where(line_item_id: line_item_id)
      end
    end
  end
end
